"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_instrument_log_show_method = require("./method.js");
const ME_instrument_log_show_model = require("./model.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = ME_instrument_log_show_method.method) == null ? void 0 : _a.getShow(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D, _E, _F, _G, _H, _I, _J, _K, _L, _M, _N, _O, _P, _Q, _R, _S, _T;
      return common_vendor.e({
        a: ((_d = (_c = (_b = (_a = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.house_meter) == null ? void 0 : _d.usage_type) === "WaterMeter"
      }, ((_h = (_g = (_f = (_e = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _e.showData) == null ? void 0 : _f.value) == null ? void 0 : _g.house_meter) == null ? void 0 : _h.usage_type) === "WaterMeter" ? {} : {}, {
        b: ((_l = (_k = (_j = (_i = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _i.showData) == null ? void 0 : _j.value) == null ? void 0 : _k.house_meter) == null ? void 0 : _l.usage_type) === "ElectricMeter"
      }, ((_p = (_o = (_n = (_m = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _m.showData) == null ? void 0 : _n.value) == null ? void 0 : _o.house_meter) == null ? void 0 : _p.usage_type) === "ElectricMeter" ? {} : {}, {
        c: common_vendor.f((_t = (_s = (_r = (_q = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _q.showData) == null ? void 0 : _r.value) == null ? void 0 : _s.house_meter) == null ? void 0 : _t.house_meter_has_houses, (res, index, i0) => {
          return {
            a: common_vendor.t(res == null ? void 0 : res.full_name),
            b: `house_${index}`
          };
        }),
        d: common_vendor.t(((_x = (_w = (_v = (_u = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _u.showData) == null ? void 0 : _v.value) == null ? void 0 : _w.house_meter) == null ? void 0 : _x.name) || "-"),
        e: common_vendor.t(((_A = (_z = (_y = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _y.showData) == null ? void 0 : _z.value) == null ? void 0 : _A.current_reading) || "-"),
        f: common_vendor.t((_D = (_C = (_B = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _B.showData) == null ? void 0 : _C.value) == null ? void 0 : _D.reading_time),
        g: common_vendor.t(((_H = (_G = (_F = (_E = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _E.showData) == null ? void 0 : _F.value) == null ? void 0 : _G.company_employee) == null ? void 0 : _H.name) || "-"),
        h: common_vendor.f((_K = (_J = (_I = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _I.showData) == null ? void 0 : _J.value) == null ? void 0 : _K.images, (i, index, i0) => {
          return {
            a: i == null ? void 0 : i.url,
            b: `attachment_${index}`,
            c: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(ME_instrument_log_show_method.method)) == null ? void 0 : _a2.handlePreview(index);
            }, `attachment_${index}`)
          };
        }),
        i: (_N = (_M = (_L = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _L.showData) == null ? void 0 : _M.value) == null ? void 0 : _N.remark
      }, ((_Q = (_P = (_O = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _O.showData) == null ? void 0 : _P.value) == null ? void 0 : _Q.remark) ? {
        j: common_vendor.t(((_T = (_S = (_R = common_vendor.unref(ME_instrument_log_show_model.useModel)) == null ? void 0 : _R.showData) == null ? void 0 : _S.value) == null ? void 0 : _T.remark) || "-")
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/instrument/log_show/index.vue"]]);
wx.createPage(MiniProgramPage);
